Fetch a data export result
curl --request GET \
--url https://api.northbeam.io/v1/exports/data-export/result/{export_id} \
--header 'Authorization: <api-key>' \
--header 'Data-Client-ID: <api-key>'const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'Data-Client-ID': '<api-key>'}
};
fetch('https://api.northbeam.io/v1/exports/data-export/result/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.northbeam.io/v1/exports/data-export/result/{export_id}"
headers = {
"Authorization": "<api-key>",
"Data-Client-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.northbeam.io/v1/exports/data-export/result/{export_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Data-Client-ID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.northbeam.io/v1/exports/data-export/result/{export_id}")
.header("Authorization", "<api-key>")
.header("Data-Client-ID", "<api-key>")
.asString();{
"data_export_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"result": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"warn": {}
}Data Export API
Fetch a data export result
GET
/
data-export
/
result
/
{export_id}
Fetch a data export result
Headers
| Header | Description |
|---|---|
Authorization required | Your Northbeam API key |
Data-Client-ID required | Your Northbeam client ID |
Path parameters
| Parameter | Type | Description |
|---|---|---|
export_id required | string (uuid) |
Responses
| Status | Description |
|---|---|
200 | Data export result |
401 | Unauthorized |
429 | Too many requests |
500 | Internal server error |
200 response body
| Field | Type | Description |
|---|---|---|
data_export_id | string (uuid) | |
status | string | Available options: “PENDING”, “SUCCESS”, “ERROR” |
result | string (uri)[] | |
created_at | string (date-time) | |
finished_at | string (date-time), nullable | |
warn | object | Warning info regarding deprecated params, actions expected, etc. |